From: Nikolaus Rath <Nikolaus@rath.org>
Date: Tue, 23 Feb 2016 16:30:36 -0800
Subject: Use 'cython3' instead of 'cython' command

Origin: debian
Forwarded: not-needed

In Debian, python3-cython provides only a 'cython3' command. To avoid
pulling in the complete Python 2.x runtime environment for
python-cython, we use 'cython3' instead.
---
 setup.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/setup.py b/setup.py
index 040ce72..7ed619f 100755
--- a/setup.py
+++ b/setup.py
@@ -224,7 +224,7 @@ class build_cython(setuptools.Command):
 
     def run(self):
         try:
-            version = subprocess.check_output(['cython', '--version'],
+            version = subprocess.check_output(['cython3', '--version'],
                                               universal_newlines=True,
                                               stderr=subprocess.STDOUT)
         except OSError:
@@ -234,7 +234,7 @@ class build_cython(setuptools.Command):
         if not hit or LooseVersion(hit.group(1)) < "0.24":
             raise SystemExit('Need Cython 0.24 or newer, found ' + version)
 
-        cmd = ['cython', '-Wextra', '--force', '-3', '--fast-fail',
+        cmd = ['cython3', '-Wextra', '--force', '-3', '--fast-fail',
                '--directive', 'embedsignature=True', '--include-dir',
                os.path.join(basedir, 'Include'), '--verbose' ]
         if DEVELOPER_MODE:
